#include "bounceBall.h"

bounceBall::bounceBall(){
}

bounceBall::bounceBall(ofxPoint2f bornPosition, area _a, float _r, float _vx, float _vy){
	x = bornPosition.x;
	y = bornPosition.y;
	myArea = _a;
	r = _r;
	v.set(_vx, _vy);
	cr = 255;
	cg = 0;
	cb = 0;
	
	creationFinished = false;
	erasingMe = false;
}

void bounceBall::draw(){
	if(erasingMe){
		ofSetColor(255, 0, 0);
		ofFill();
		ofCircle(x, y, r*2);
		ofNoFill();
		ofCircle(x, y, r*2);
		ofLine(x-r*4, y-r*4, x+r*4, y+r*4);			
		ofLine(x-r*4, y+r*4, x+r*4, y-r*4);			
	}else{
		ofSetColor(cr, cg, cb);
		ofFill();
		ofCircle(x, y, r*4);
		ofNoFill();
		ofCircle(x, y, r*4);
	}

	cout<<"bounceBall draw"<<endl;
}

