#include "chek.h"

chek::chek(){
}

void chek::setup(int _x, int _y, int _s, string _n){
	pos.set(_x, _y);
	size = _s;
	name = _n;
	checked = false;
}

void chek::press(int _x, int _y){
	if(_x > pos.x && _x < pos.x+size &&
	   _y > pos.y && _y < pos.y+size){
	   checked = !checked;
	}
}

bool chek::getChecked(){
	return checked;
}

string chek::getName(){
	return name;
}

void chek::draw(){
	ofSetColor(255, 255, 255);
    ofRect(pos.x, pos.y, size, size);
	
    if(checked){
		ofSetColor(102, 106, 110);
		ofLine(pos.x, pos.y, pos.x+size, pos.y+size);
		ofLine(pos.x+size, pos.y, pos.x, pos.y+size);
    }
	
	ofSetColor(202, 162, 0);
	ofRect(pos.x+size, pos.y, size/2, size);
	ofSetColor(252, 202, 0);
	ofLine(pos.x+size, pos.y, pos.x+size+size/2, pos.y+size);
	ofLine(pos.x+size+size/2, pos.y, pos.x+size, pos.y+size);

	ofSetColor(255, 255, 255);
	ofDrawBitmapString(name, pos.x+size+size/2+2, pos.y+size-2);		
}