#ifndef _GUI_CHECK_H
#define _GUI_CHECK_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class guiCheck : public ofxPoint2f{

	public:
		
		guiCheck();
		guiCheck(int _x, int _y, int _cr, int _cg, int _cb, int _r, string _type);
		
		void press(ofxPoint2f _lp, bool _cl);
		void setChecked(bool _check);
		bool getChecked();
				
		void draw();
	
	private:
	
		void drawChecked();
		void drawCollision(float _x, float _y);
		void drawMass(float _x, float _y);
		void drawFriction(float _x, float _y);
	
		int r;
		int cr, cg, cb;
		bool checked;
		string type;
		int pressDelay;
};

#endif