#ifndef _GUI_RADIO_H
#define _GUI_RADIO_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class guiRadio{

	public:
		
		guiRadio();
		guiRadio(int _x, int _y, int _cr, int _cg, int _cb, int _r,
				 int _id, guiRadio * _oList, int _nor, string _name,
				 bool _eraser);
		
		bool press(ofxPoint2f _lp);
		void setChecked(bool _check);
		bool getChecked();
		bool getEraser();
		int * getColor();
				
		void draw();
	
	private:
	
		ofxPoint2f pos;
		int r, myId;
		int cr, cg, cb;
		bool checked;
		bool eraser;
		int			numOfRadios;
		guiRadio *	othersList;
		string name;


};

#endif