#ifndef _GUI_SETTING_H
#define _GUI_SETTING_H

#include "ofMain.h"

class guiSetting{

	public:
		guiSetting();

		void setValue(float val);
		void setValue(int val);

		float getValueF();
		int   getValueI();

		bool getChanged();
		int  getGroupID();

		void setName(string xmlName, string displayName);
		void setIncr(float increment);
		void setIncr(int increment);
		void setMinMax(float mn, float mx);

		void increase();
		void decrease();

		string getXmlName();
		string getDisplayName();

	protected:
	
		float maxF;
		float minF;		
		float incrF;		
		float valueF;
				
		string name;
		string xml;
		int section;
		bool changed;
};

#endif