#include "selection.h"

selection::selection(){
}

void selection::set(float _x, float _y){
	control.set(_x, _y);
}

void selection::update(float _x, float _y){
	if(_x > control.x){
		max.x = _x;
		min.x = control.x;
	}else{
		max.x = control.x;
		min.x = _x;
	}
	if(_y > min.y){
		max.y = _y;
		min.y = control.y;
	}else{
		max.y = control.y;
		min.y = _y;
		
	}
}

float selection::getMinX(){
	return min.x;
}

float selection::getMaxX(){
	return max.x;
}

float selection::getMinY(){
	return min.y;
}

float selection::getMaxY(){
	return max.y;
}

void selection::draw(){
	ofEnableSmoothing();
	ofSetColor(200, 0, 30);
	ofNoFill();
	ofRect(min.x, min.y, max.x-min.x, max.y-min.y);		
	ofDisableSmoothing();
	ofEnableAlphaBlending();
	ofSetColor(200, 0, 30, 70);
	ofFill();
	ofRect(min.x, min.y, max.x-min.x, max.y-min.y);		
	ofDisableAlphaBlending();

}