#ifndef _WAVE_H
#define _WAVE_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class wave : public ofxPoint2f{

	public:
	
		wave();
		
		void setup(float _x, float _y, int _r, int _cYr, int _cYg, int _cYb);
		void update(float _x, float _y);
		bool getKillMe();
		
		void draw();
		
	private:
	
		bool kill;
		int r;
		int duration;
		int time;
		float alphaValue;
		float expandValue;
		int cYr, cYg, cYb;
		ofxPoint2f ringPos;	
};

#endif