#ifndef _BEO_GUI_H
#define _BEO_GUI_H

#include "ofMain.h"
#include "scrollbar.h"
#include "button.h"
#include "chek.h"

class beoGui{
	
	public:
	
		beoGui();
		
		void addScrollbar(string _n, int _x, int _y, float _mnv, 
						  float _mxv);
		void addButton(string _n, int _x, int _y, int _s);
		void addCheck(string _n, int _x, int _y, int _s);
		
		bool hasChanged(string _n);
		float getF(string _n);
		bool getP(string _n);
		bool getC(string _n);
		
		void draw();

		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		
	private:
	
		vector <scrollbar> barList;
		vector <button> btnList;
		vector <chek> chkList;
};

#endif