#include "guiSetting.h"

guiSetting::guiSetting(){
}

//------------------------------------
void guiSetting::setName(string xmlName, string displayName){			
	xml = xmlName;
	name = displayName;
}

//------------------------------------
void guiSetting::setValue(float val){
	float tmp = valueF;
	valueF = val;	
	if(tmp != valueF){
		changed = true;
	}
	
	cout << "set value: " << val << endl;
}

//------------------------------------
void guiSetting::setValue(int val){		
	float tmp = valueF;
	valueF  = (float)val;
	if(tmp != valueF){
		changed = true;
	}
}

//------------------------------------
float guiSetting::getValueF(){
	return valueF;
}

//------------------------------------
int guiSetting::getValueI(){
	return (int)valueF;
}		

//------------------------------------
bool guiSetting::getChanged(){
	
	bool rtnVal = false;
	
	if(changed){
		rtnVal  = true;
		changed = false;
	}
	
	return rtnVal;
}

// ------------------------------- getGroupID()
int guiSetting::getGroupID(){
	return section;
}

//------------------------------------
void guiSetting::setMinMax(float mn, float mx){
	maxF = mx;
	minF = mn;
}

// ------------------------------- increase()
void guiSetting::increase()
{
	float tmp = valueF;

	valueF += incrF;
	if(valueF >= maxF) valueF = maxF;
	
	if(tmp != valueF)changed = true;
}

// ------------------------------- decrease()
void guiSetting::decrease()
{
	float tmp = valueF;

	valueF -= incrF;
	if(valueF <= minF) valueF = minF;
	
	if(tmp != valueF)changed = true;
}

//------------------------------------
void guiSetting::setIncr(float increment){
	incrF = increment;
}

//------------------------------------
void guiSetting::setIncr(int increment){
	incrF = (float)increment;
}		

//------------------------------------
string guiSetting::getXmlName(){
	return xml;
}

//------------------------------------
string guiSetting::getDisplayName(){
	return name;
}
