#ifndef _SCROLLBAR_H
#define _SCROLLBAR_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class scrollbar{

	public:
		
		scrollbar();
		void setup(int _x, int _y, int _w, int _h, float _mnv, 
				   float _mxv, string _name);
		void update(int _x, int _y);
		void press();
		void releas();
		bool over(int _x, int _y);
		void draw();
		float getPos();
		bool getChanged();
		string getName();
		
	private:
	
		ofxPoint2f pos;
		int w, h;		// width, height
		float minVal, maxVal;
		float p;
		float pMin, pMax;
		bool rollover, locked, changed;
		string name;
};

#endif