#ifndef _TREMOR_H
#define _TREMOR_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class tremor : public ofxPoint2f{

	public:
	
		tremor();
		
		void setup(float _x, float _y, int _r, int _cr, int _cg, int _cb);
		void update(float _x, float _y);
		bool getKillMe();
		
		void draw();
		
	private:
	
		bool kill;
		int r;
		int duration;
		int time;
		float alphaValue;
		float expandValue;
		int cr, cg, cb;
	
};

#endif